---
title: Software
description: Installs software
privilege: TrustedInstaller
actions:
  - !writeStatus: {status: 'Loading start menu'}
    # Load Open-Shell menu
  - !powerShell:
    command: '(New-Object -ComObject wscript.shell).SendKeys(''{ESCAPE}'')'
  - !cmd:
    command: 'timeout /t 2'
  - !powerShell:
    command: '(New-Object -ComObject wscript.shell).SendKeys(''{ESCAPE}'')'

  - !writeStatus: {status: 'Installing Open-Shell'}
  - !run:
    exeDir: true
    exe: "SLNT.bat"
    weight: 50

  - !writeStatus: {status: 'Configuring user interface'}
  - !run:
    exeDir: true
    exe: "UI.bat"
    weight: 40
  - !run:
    exeDir: true
    exe: "ep_setup-22621.1413.54.5.exe"
    weight: 70

  - !cmd:
    command: 'reg query "HKLM\SOFTWARE\Clients\StartMenuInternet" /k /f "Firefox-" > "%TEMP%\Firefox-Reg-Output.txt"'

  - !writeStatus: {status: 'Installing Firefox'}
  - !run:
    path: '%ProgramData%\chocolatey\bin'
    exe: 'choco.exe'
    args: 'install -y --force --allow-empty-checksums firefox'
    weight: 150

  - !writeStatus: {status: 'Installing Thunderbird'}
  - !run:
    path: '%ProgramData%\chocolatey\bin'
    exe: 'choco.exe'
    args: 'install -y --force --allow-empty-checksums thunderbird'
    weight: 100

  - !writeStatus: {status: 'Installing VLC'}
  - !run:
    path: '%ProgramData%\chocolatey\bin'
    exe: 'choco.exe'
    args: 'install -y --force --allow-empty-checksums vlc'
    weight: 70
  - !writeStatus: {status: 'Installing 7zip'}
  - !run:
    path: '%ProgramData%\chocolatey\bin'
    exe: 'choco.exe'
    args: 'install -y --force --allow-empty-checksums 7zip'
    weight: 50
  - !writeStatus: {status: 'Installing jpegview'}
  - !run:
    path: '%ProgramData%\chocolatey\bin'
    exe: 'choco.exe'
    args: 'install -y --force --allow-empty-checksums jpegview'
    weight: 50
  - !writeStatus: {status: 'Installing vcredist'}
  - !run:
    path: '%ProgramData%\chocolatey\bin'
    exe: 'choco.exe'
    args: 'install -y --force --allow-empty-checksums vcredist-all'
    weight: 200

  - !writeStatus: {status: 'Installing DirectX 9'}
  - !run:
    path: '%ProgramData%\chocolatey\bin'
    exe: 'choco.exe'
    args: 'install -y --force --allow-empty-checksums directx'
    weight: 150
  - !writeStatus: {status: 'Installing OnlyOffice'}
  - !run:
    path: '%ProgramData%\chocolatey\bin'
    exe: 'choco.exe'
    args: 'install -y --force --allow-empty-checksums onlyoffice'
    weight: 150
  - !writeStatus: {status: 'Installing Cascadia Mono font'}
  - !run:
    path: '%ProgramData%\chocolatey\bin'
    exe: 'choco.exe'
    args: 'install -y --force --allow-empty-checksums cascadiamono'
    weight: 30

  - !writeStatus: {status: 'Loading open-shell menu'}
    # Load Open-Shell menu
  - !powerShell:
    command: '(New-Object -ComObject wscript.shell).SendKeys(''{ESCAPE}'')'
  - !cmd:
    command: 'timeout /t 1'
    weight: 10
  - !powerShell:
    command: '(New-Object -ComObject wscript.shell).SendKeys(''{ESCAPE}'')'

  - !writeStatus: {status: 'Configuring Firefox'}
  - !run:
    exeDir: true
    exe: "FIREFOXCONF.bat"
    weight: 20

  - !run:
    exeDir: true
    exe: "SHRT.bat"
    weight: 70

  - !writeStatus: {status: 'Setting file associations'}
  - !run:
    exeDir: true
    exe: "FILEASSOC.bat"
    weight: 50


  - !writeStatus: {status: 'Installing Git'}
  - !run:
    exeDir: true
    exe: "PowerShell"
    args: '-NoP -ExecutionPolicy Bypass -File scoop.ps1'
    weight: 120